Bug 1278981 - Thumbnails from RAW files are generated incorrectly
Thumbnails from RAW files are generated incorrectly
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: raw-thumbnailer (Show other bugs)
24
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 17:41 EST by Martin Stefany
Modified: 2017-08-08 08:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:22:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Badly generated thumbnail with default settings (102.33 KB, image/png)
2015-11-06 17:41 EST, Martin Stefany
no flags Details
Correctly generated thumbnail with workaround from description (25.53 KB, image/png)
2015-11-06 17:42 EST, Martin Stefany
no flags Details

  None (edit)
Description Martin Stefany 2015-11-06 17:41:56 EST
Created attachment 1090800 [details]
Badly generated thumbnail with default settings

Description of problem:
In my case, Canon CR2 RAW files get unusable thumbnails generated.


Version-Release number of selected component (if applicable):
$ rpm -q raw-thumbnailer
raw-thumbnailer-3.0.0-7.fc23.x86_64


How reproducible:
Always.


Steps to Reproduce:
1. sudo dnf install raw-thumbnailer
2. navigate in Nautilus to folder with Canon CR2 (or any) RAW file


Actual results:
Thumbnails correspond to full image contents.


Expected results:
Thumbnails are sort-of grey and useless.


Additional info:
I found this fork which fixes the issue (in Ubuntu):
https://github.com/angryziber/gnome-raw-thumbnailer
and changing:
Exec=/usr/bin/raw-thumbnailer -s %s %u %o
to:
Exec=/usr/bin/raw-thumbnailer -s 160 %u %o
in:
/usr/share/thumbnailers/raw.thumbnailer
actually solves the problem as thumbnails get generated correctly.

Please, fix/backport.
Comment 1 Martin Stefany 2015-11-06 17:42 EST
Created attachment 1090801 [details]
Correctly generated thumbnail with workaround from description
Comment 2 Fedora End Of Life 2016-11-24 08:09:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Martin Stefany 2016-11-26 16:20:56 EST
Issue is still present with raw-thumbnailer-3.0.0-8.fc24.x86_64, re-assigning. Going to test F25 shortly.
Comment 4 Julian Sikorski 2016-11-29 17:14:15 EST
I have just updated libopenraw to 0.1.0 in rawhide, which includes a few CR2-related fixes. Could you check if rawhide packages fix the issue? If they cannot be installed on F25 without too much dependency hell, please let me know and I will check if I can make f25-specific packages available.
Comment 6 Fedora End Of Life 2017-07-25 15:27:02 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:22:13 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.